#include <bits/stdc++.h>
using namespace std;
int neg[200005];
  int n;
  string s;
int main(){
    cin >> n;
  for(int i = 1; i<=n; i++) cin >> neg[i];
    for(int i = 1; i<=n; i++){
        s = s+"23";
    }
    s.pop_back();
    cout << n << endl << s << endl;
    return 0;
}